<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__crypto__lld__sha__functions" kind="group">
    <compoundname>group_crypto_lld_sha_functions</compoundname>
    <title>Functions</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__sha__functions_1ga3023d5535203528b0ef7136c86f8a66c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE <ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref></type>
        <definition>__STATIC_INLINE cy_en_crypto_status_t Cy_Crypto_Core_Sha</definition>
        <argsstring>(CRYPTO_Type *base, uint8_t const *message, uint32_t messageSize, uint8_t *digest, cy_en_crypto_sha_mode_t mode)</argsstring>
        <name>Cy_Crypto_Core_Sha</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint8_t const *</type>
          <declname>message</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>messageSize</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>digest</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__crypto__enums_1ga66ead9efce36e261e978cad722bf2dbb">cy_en_crypto_sha_mode_t</ref></type>
          <declname>mode</declname>
        </param>
        <briefdescription>
<para>Performs the SHA Hash function. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>mode</parametername>
</parameternamelist>
<parameterdescription>
<para><ref kindref="member" refid="group__group__crypto__enums_1ga66ead9efce36e261e978cad722bf2dbb">cy_en_crypto_sha_mode_t</ref></para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>message</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the message whose hash value is being computed.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>messageSize</parametername>
</parameternamelist>
<parameterdescription>
<para>The size of the message.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>digest</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the hash digest.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref> </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="97" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_sha.h" bodystart="79" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_sha.h" line="79" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__sha__functions_1gad1e5bb1a8750ebe9d6e20f9e59b1fe86" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE <ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref></type>
        <definition>__STATIC_INLINE cy_en_crypto_status_t Cy_Crypto_Core_Sha_Init</definition>
        <argsstring>(CRYPTO_Type *base, cy_stc_crypto_sha_state_t *shaHashState, cy_en_crypto_sha_mode_t mode, void *shaBuffers)</argsstring>
        <name>Cy_Crypto_Core_Sha_Init</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__crypto__sha__state__t">cy_stc_crypto_sha_state_t</ref> *</type>
          <declname>shaHashState</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__crypto__enums_1ga66ead9efce36e261e978cad722bf2dbb">cy_en_crypto_sha_mode_t</ref></type>
          <declname>mode</declname>
        </param>
        <param>
          <type>void *</type>
          <declname>shaBuffers</declname>
        </param>
        <briefdescription>
<para>The function to initialize the SHA operation. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>shaHashState</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to a Hash state.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>mode</parametername>
</parameternamelist>
<parameterdescription>
<para>One of these: CY_CRYPTO_SHA256, CY_CRYPTO_SHA1, CY_CRYPTO_SHA256_224, CY_CRYPTO_SHA512, CY_CRYPTO_SHA384, CY_CRYPTO_SHA512_224, CY_CRYPTO_SHA512_256</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>shaBuffers</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the memory buffers storage.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref> </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="139" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_sha.h" bodystart="122" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_sha.h" line="122" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__sha__functions_1ga62be705040b568d8b931517538fdf1e4" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE <ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref></type>
        <definition>__STATIC_INLINE cy_en_crypto_status_t Cy_Crypto_Core_Sha_Start</definition>
        <argsstring>(CRYPTO_Type *base, cy_stc_crypto_sha_state_t *hashState)</argsstring>
        <name>Cy_Crypto_Core_Sha_Start</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__crypto__sha__state__t">cy_stc_crypto_sha_state_t</ref> *</type>
          <declname>hashState</declname>
        </param>
        <briefdescription>
<para>Initializes the initial Hash vector. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>hashState</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the SHA context.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref> </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="171" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_sha.h" bodystart="157" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_sha.h" line="157" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__sha__functions_1ga5dcb08460b06dc413fad844b24d0a0d9" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE <ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref></type>
        <definition>__STATIC_INLINE cy_en_crypto_status_t Cy_Crypto_Core_Sha_Update</definition>
        <argsstring>(CRYPTO_Type *base, cy_stc_crypto_sha_state_t *hashState, uint8_t const *message, uint32_t messageSize)</argsstring>
        <name>Cy_Crypto_Core_Sha_Update</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__crypto__sha__state__t">cy_stc_crypto_sha_state_t</ref> *</type>
          <declname>hashState</declname>
        </param>
        <param>
          <type>uint8_t const *</type>
          <declname>message</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>messageSize</declname>
        </param>
        <briefdescription>
<para>Performs the SHA calculation on one message. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>hashState</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the SHA context.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>message</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the message whose Hash is being computed.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>messageSize</parametername>
</parameternamelist>
<parameterdescription>
<para>The size of the message whose Hash is being computed.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref></para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This function can be called several times only with message lengths dividable by the block size. Only the last call to the function can process a message with a not-dividable size. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="217" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_sha.h" bodystart="200" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_sha.h" line="200" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__sha__functions_1ga057902d294bfe3704b2ee7c61af828a5" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE <ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref></type>
        <definition>__STATIC_INLINE cy_en_crypto_status_t Cy_Crypto_Core_Sha_Finish</definition>
        <argsstring>(CRYPTO_Type *base, cy_stc_crypto_sha_state_t *hashState, uint8_t *digest)</argsstring>
        <name>Cy_Crypto_Core_Sha_Finish</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__crypto__sha__state__t">cy_stc_crypto_sha_state_t</ref> *</type>
          <declname>hashState</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>digest</declname>
        </param>
        <briefdescription>
<para>Completes the SHA calculation. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>hashState</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the SHA context.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>digest</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the calculated Hash digest.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref> </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="254" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_sha.h" bodystart="238" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_sha.h" line="238" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__sha__functions_1gab2d5d01e75015c590fb55f13179a1835" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE <ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref></type>
        <definition>__STATIC_INLINE cy_en_crypto_status_t Cy_Crypto_Core_Sha_Free</definition>
        <argsstring>(CRYPTO_Type *base, cy_stc_crypto_sha_state_t *hashState)</argsstring>
        <name>Cy_Crypto_Core_Sha_Free</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__crypto__sha__state__t">cy_stc_crypto_sha_state_t</ref> *</type>
          <declname>hashState</declname>
        </param>
        <briefdescription>
<para>Clears the used memory buffers. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>hashState</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the SHA context.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref> </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="286" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_sha.h" bodystart="272" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_sha.h" line="272" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>